.head-detal {
  color: #333333;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 32px;
  margin-top: 20px;
  margin-bottom: 10px;
  margin-left: 10px;
  // padding-left: 10px;
  label{
    font-size: 18px;
  }
}
.font-family-sty {
  font-family: Prompt
}
.body-detal {
  padding-left: 20px;
}
.body-detal-checkbox {
  padding-left: 25px;
}
.body-detal-checkbox-last {
  padding-left: 25px;
  width: 50%;
}
.saveDraft {
  box-sizing: border-box;
  height: 48px;
  width: 228px;
  border: 1.5px solid #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.body-detal {
  justify-content: center;
}

.checkbox-layout {
  padding-top: 4px;
  padding-bottom: 4px;
}

.checkbox-box {
  padding-top: 3px;
}

.checkbox-detail {
  padding-left: 10px;
}
.checkbox-detail-false {
  cursor: pointer;
}
.checkbox-detail-true {
  cursor: pointer;
  color: #00a6e6;
}
.checkbox-padding-right {
  padding-right: 20px;
}

::ng-deep
  .mat-checkbox-checked.mat-accent
  .mat-checkbox-ripple
  .mat-ripple-element {
  opacity: 0.03 !important;
  background-color: #00a6e6 !important;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: #00a6e6;
}
.detail-each-group {
  width: 100%;
  margin: auto;
  font-family: Prompt !important;
}
.text {
  font-family: Prompt !important;
  color: #333330;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 30px;
}
.text-sub {
  color: #333330;
  font-size: 20px;
  letter-spacing: 0;
  line-height: 30px;
}
.textarea-SME-M {
  width: 100%;
  border: 1px solid #c2c2bf;
  border-radius: 4px;
}
.add-data {
  margin-top: 1%;
  height: 40px;
  width: 130px;
  text-align: center;
  margin-left: auto;
  background-color: #00a6e6;
  border: none;
}
// .btn-primary{
//   border: none !important;
// }
.detail-Credit {
  display: flex;
  align-items: flex-end;
  padding-left: 15px;
}
.line {
  background-color: #5aa700;
  height: 5px;
}

.table-responsives {
  //   height: 500px;
  width: 97%;
  margin: auto;
  overflow-x: auto;
  font-family: Prompt !important;
  td {
    padding: 5px;
    height: 80px;
    font-family: Prompt !important;
    border: none;
    text-align: center;
    max-width: 200px;
    word-break: break-all;
    align-items: center;
    justify-content: center !important;
    border-bottom: 1px solid #c9c9c8;
    vertical-align: top;
  }
}

th {
  // width: 450px;
  font-family: Prompt !important;
  align-items: flex-start;
  justify-content: flex-start !important;
  text-align: center !important;
  opacity: 0.99;
  border-radius: 2px;
  background-color: #f1f0f0;
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #a0a6ac;
  //   border: 1px solid #dddddd;
}

table {
  margin: auto;
  width: 1990px !important;
  // height: 500px;
  overflow-x: auto;
  // border: 1px solid #dddddd;
  padding: 0;
  .form-control {
    text-align: right ;
  }
  tr:nth-child(even) {
    background-color: #7c7c7c0c;
  }
  td {
    max-width: 200px;
    word-wrap: break-word;
  }
}

// ::ng-deep th.mat-header-cell:first-of-type {
//   padding-left: 0 !important;
// }
::ng-deep td.mat-cel {
  padding-left: 0 !important;
}
//   ::ng-deep td.mat-cell:last-of-type {
//     padding-right: 0 !important;
//   }
::ng-deep .mat-sort-header-container {
  justify-content: center !important;
}
::ng-deep th.mat-header-cell {
  height: 30px !important;
}
::ng-deep td.mat-cell{
  text-align: center !important;
}
::ng-deep .mat-column-header-row-second-group {
  width: 180px !important;
}
// ::ng-deep .mat-column-header-row-second-group {
//   width: 400px !important;
// }
a.delete-text-SME-M {
  font-family: Prompt;
  color: #00a4e4;
}
a.delete-text-SME-M:hover {
  font-family: Prompt ;
  color: #00a4e4;
  cursor: pointer;
  text-decoration: underline;
}
a.download_file {
  color:  #00a6e6;
}
a.download_file:hover {
  color: #00a6e6;
  text-decoration: underline;
  cursor: pointer;
}
a.pipe {
  color:  #CCCCCC;
}
.header-gain-credit {
  width: 97%;
  display: flex;
  margin: auto;
  background-color: #d8d8d8;
  align-items: center;
}
.gain-col {
  width: 24.25%;
  height: 50px;
  margin: auto;
  margin-top: auto;
  align-items: center;
  display: flex;
  justify-content: center;
  text-align: center;
}
.add-data-gain {
  font-family: Prompt ;
  margin-top: 1%;
  margin-right: 0px;
  height: 40px;
  width: 120px;
  text-align: center;
  margin-left: auto;
  float: right;
  background-color: #00a6e6;
  border: none;
}
th.mat-header-cell {
  text-align: center !important;
  width: 150px;
  padding-right: 0 !important;
}

.typeofcollateral {
  font-family: Prompt !important;
  width: 100% !important;
  padding-right: 0 !important;
  margin: auto;
  // display: flex;
  // align-items: center;
  // justify-content: center;
  label {
    font-size: 14px;
  }
  .fontt {
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 28px;
  }
  .type-collateral {
    font-size: 20px;
  }

  .intooo {
    position: absolute;
    bottom: 10px;
    left: 10px;
  }

  .gain {
    display: block;
    width: 100%;
  }
}
.alert-success{
  box-sizing: border-box;
  height: 49px;
  // border: 1px solid rgba(90,167,0,0.7);
  border: 1px solid rgba(0,110,149,0.7);
  border-radius: 4px;
  // background-color: rgba(90,167,0,0.1);
  background-color: rgba(0,110,149,0.1);
  box-shadow: 0 2px 8px 0 rgba(224,224,224,0.5);
  text-align: center;
  padding-top: 10px;
  a.alert-detail{
    // color: #5AA700;
    color: #006E95;
    font-family: Prompt;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 28px;
  }
}
  
  .icon_checkmark{
    height: 24px;
    width: 24px;
  }

::ng-deep .th-center .mat-sort-header-container {
  justify-content: center;
}

::ng-deep
  .mat-checkbox-checked.mat-accent
  .mat-checkbox-ripple
  .mat-ripple-element {
  opacity: 0.03 !important;
  background-color: #00a6e6 !important;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
  opacity: 0 !important; /*click effect color change*/
  background-color: #00a6e6 !important;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: #00a6e6 !important; /*inner circle color change*/
}

::ng-deep.mat-radio-button.mat-accent.mat-radio-checked
  .mat-radio-outer-circle {
  border-color: #00a6e6 !important; /*outer ring color change*/
}
::ng-deep
  .myDpSelector.myDpSelectorArrow.myDpSelectorArrowLeft.myDpSelectorAbsolute {
  height: 232px;
  width: 252px;
  margin-top: 10px;
  top: 40px !important;
  left: 15px !important;
}
.subDetail {
  background-color: #f2f2f2;
  border-radius: 4px;
  padding: 10px;
  padding-bottom: 0vw;
  margin-left: 30px;
  // width: max-content;
  // width: fit-content;
}
.inputSubDetail {
  margin-left: 30px;
  padding: 0px;
  margin-top: 10px;
}

.input-warpper {
  position: relative;
}
.icon-warpper1 {
  display: block;
  position: absolute;
  left: 95%;
  line-height: 35px;
}

.icon-warpper2 {
  display: block;
  position: absolute;
  left: 92%;
  line-height: 35px;
}
.btn-date {
  cursor: pointer;
  color: #009edb;
}
.btn-delete:hover {
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}

/* hide the blue outline */
// .form-control:focus {
//   outline: 0 !important;
//   border-color: initial;
//   box-shadow: none;
// }
::ng-deep .input-group-text {
  padding: 0px !important;
  background-color: #ffffff !important;
  border: 1px solid #cdcdce;
}
.input-detail {
  margin-bottom: 10px;
}
.radio-detail {
  padding-left: 0px;
}
.radio-layout {
  padding-top: 0px;
  padding-bottom: 0px;
}

.checkbox-layout {
  padding-top: 4px;
  padding-bottom: 4px;
}

.checkbox-detail {
  padding-left: 10px;
}
.checkbox-detail-false {
  cursor: pointer;
}
.checkbox-detail-true {
  cursor: pointer;
  color: #00a6e6;
}
.checkbox-padding-right {
  padding-right: 20px;
}

.button-calendar {
  padding: 0px !important;
  background-color: #ffffff !important;
  border: 1px solid #cdcdce;
  border-left: 0px solid #ffffff00;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}
.btn-input-calendar {
  border-right: 0px solid #ffffff00;
}
.btn-annualPlan {
  box-sizing: border-box;
  height: 48px;
  width: 222px;
  border: 1.5px solid #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.table {
  justify-content: center;
}

.mat-cell {
  font-family: Prompt;
}

.mat-header-cell {
  text-align: left;
  background-color: #e0e0e0;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.td_single {
  background-color: #fafafa;
  font-family: Prompt;
}
.td_couple {
  background-color: #ffffff;
  font-family: Prompt;
}
.bin_upload {
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  border: 1.5px solid #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.fileDrop[_ngcontent-c3] {
  width: 526px;
}
.textarea-container .input_upload {
  // position: absolute;
  bottom: 10px;
  left: 16px;
  right: 0;
  margin-top: 12px;
  margin-bottom: 12px;
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  text-align: center;
}

.input_upload_label {
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  padding-top: 10px;
  border: 1.5px solid #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  cursor: pointer;
}

textarea {
  line-height: 1.9;
  padding: 5px;
}

.s-td {
  padding-bottom: 5px; 
  padding-top: 6px;
}
.textarea-container {
  position: relative;
}
.textarea-container textarea {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}
.textarea-container button {
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}
.textarea-container .image_row {
  // position: absolute;
  // position: fixed;
  bottom: 50px;
  left: 16px;
  right: 0;
}
.textarea-container .image_col {
  // position: absolute;
  // position: fixed;
  bottom: 20px;
  left: 16px;
  right: 0;
  margin-left: auto;
}

.textarea-container .custom-file {
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}

.photo {
  height: 80px;
  width: 80px;
  border-radius: 4px;
  cursor: pointer;
}

.unnon_image {
  box-sizing: border-box;
  height: 80px;
  width: 80px;
  // border: 1.5px dashed #00A4E4;
  margin-right: 12px;
  margin-top: 12px;
}

// .unnon_image:hover + .circle_image{
//   position: absolute;
//   bottom: 70px;
//   left: 67px;
//   height: 18px;
//   width: 18px;
//   border-radius: 50px;
//   opacity: 1;
//   cursor: pointer;
// }
.non_image {
  box-sizing: border-box;
  height: 80px;
  width: 80px;
  border: 1.5px dashed #00a4e4;
  border-radius: 4px;
  margin-top: 12px;
  cursor: pointer;
}
.non_image_text {
  // box-sizing: border-box;
  height: 80px;
  width: 80px;
  background-color: #ffffff00;
  border: 0px dashed #ffffff00;
  margin-top: 12px;
  // border-radius: 4px;
  cursor: pointer;
}
.icon_add {
  margin-top: 10px;
  margin-left: 17px;
  height: 20px;
  width: 20px;
  cursor: pointer;
}

.non_image_fileDrop {
  position: absolute;
  opacity: 0;
  // box-sizing: border-box;
  height: 80px;
  width: 80px;
  padding: 0px;
  // border: 1.5px dashed #00A4E4;
  border-radius: 4px;
  background-color: #5aa700;
  cursor: pointer !important;
}
// .non_image_fileDrop:focus{
//   position: absolute;
//   opacity: 0;
//   // box-sizing: border-box;
//   height: 80px;
//   width: 80px;
//   padding: 0px;
//   // border: 1.5px dashed #00A4E4;
//   border-radius: 4px;
//   background-color: rgb(148, 148, 148);
//   cursor: pointer !important;
// }

#file-upload-button {
  cursor: pointer !important;
}

.circle_image {
  position: absolute;
  // bottom: 70px;
  // left: 67px;
  margin-top: 5px;
  margin-left: 67px;
  margin-bottom: 30px;
  height: 18px;
  width: 18px;
  border-radius: 50px;
  cursor: pointer;
}

// .ccc .vvv {opacity:0;}

// .ccc img:hover + .vvv {opacity:1;}

// Modal
.modal {
  display: none;
  position: fixed;
  padding-top: 10vw;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal[_ngcontent-c4] {
  display: none;
  position: fixed;
  // z-index: 1;
  padding-top: 10vw;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}
/* Modal Content */
.modal-content {
  z-index: -1 !important;
  position: relative;
  background-color: #ffffff00;
  margin-left: auto;
  margin-right: auto;
  padding: 0;
  width: 90%;
  max-width: 1200px;
  border: #ffffff00;
}
.modal-image {
  // box-sizing: border-box;
  margin-left: auto;
  margin-right: auto;
  height: 40vw;
  width: 70vw;
  // border: 1px solid #ffffff;
}
.modal-image-gallery {
  // background-color: #FFFFFF;
  filter: grayscale(50%);
  // box-sizing: border-box;
  height: 120px;
  width: 120px;
  padding: 4px;
  cursor: pointer;
}
.modal-image-gallery-select {
  box-sizing: border-box;
  height: 120px;
  width: 120px;
  padding: 4px;
  box-shadow: 0 2px 6px 0 #666666;
  cursor: pointer;
}
.modal-image-detail {
  justify-content: center;
  box-sizing: border-box;
  margin-left: 100px;
  margin-right: 100px;
  overflow-x: auto;
}

/* The Close Button */
.close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}
.dropzone {
  width: 100%;
  height: 85px;
  padding: 2rem;
  text-align: center;
  border: dashed 2px #00a4e4;
  position: relative;
  margin: auto;
  border-radius: 1%;

  input {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }
  input:hover {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }
  i {
    font-size: 50px;
    color: #00a6e6;
  }
  .drag-text {
    width: 180px;
    height: 44px;
    border-radius: 21px;
    padding: 8px 16px;
  }
}
.dropzone:hover {
  width: 100%;
  height: 85px;
  padding: 2rem;
  text-align: center;
  border: dashed 2px #00a4e4;
  position: relative;
  margin: auto;
  border-radius: 1%;
  background-color: rgba(255, 255, 255, 0.288);
}

.fileDrop {
  position: absolute;
  opacity: 0;
  height: 50px;
  background-color: #5aa700;
  cursor: pointer;
}
.input_select {
  padding-top: 6px;
  padding-bottom: 6px;
  margin-bottom: 0px;
}

.input_upload_document {
  box-sizing: border-box;
  height: 80px;
  width: 100%;
  padding-top: 25px;
  border: 1.5px dashed #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  cursor: pointer;
}
.fileDrop_document {
  position: absolute;
  opacity: 0;
  height: 80px;
  background-color: #5aa700;
  cursor: pointer;
}
.document_file_detail {
  margin-top: 5px;
  margin-bottom: 5px;
}
a.delete_file {
  color: #999999;
}
a.delete_file:hover {
  color: #999999;
  text-decoration: underline;
  cursor: pointer;
}
.button-next{
  color: #666666;
  font-family: Prompt;
  font-size: 14px;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
  // background-color: #00A4E4;
  // border: none !important;
}
.button-next2{
  font-family: Prompt ;
  height: 56px;
  width: 100%;
  color: #FFFFFF;
  background-color: #00A4E4;
  border: none !important;
}
.button-next-non{
  pointer-events :none;
  background-color: #E0E0E0;
}



.pull-lef t{
  cursor: pointer;
}
.pull-right {
  cursor: pointer;
}

.mat-column-name {
  word-wrap: break-word !important;
  white-space: unset !important;
  flex: 0 0 28% !important;
  width: 50% !important;
  overflow-wrap: break-word;
  word-wrap: break-word;
  word-break: break-word;
  -ms-hyphens: auto;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  hyphens: auto;
}
.text-align-left{
  .form-control {
    text-align: left !important;
  }
  text-align: left !important;
}
::placeholder {
  color: rgb(224, 224, 224);
}

.sub_body {
  padding-left: 15px;
  padding-right: 15px;
  color: #333333;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 32px;
  word-wrap: break-word;
}

  .label_validate {
    word-break: break-all;
    color: #333333;
    font-family: Prompt;
    font-size: 16px;
    letter-spacing: 0;
    line-height: 32px;
  }

.ul_10 {
  list-style-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='10' height='10' viewBox='0 0 100 100'><circle cx='50%' cy='50%' r='10' /></svg>");
}


// =================================== //

.mainText {
  border: 1px solid #e7e4e4;
  border-radius: 4px;
  padding: 5px;
  padding-left: 7px;
  width: 97%;
  margin: auto;
  // height: 261px;
}
[contenteditable] {
  outline: 0px solid transparent;
}
